| CRM64Pro GDK v0.18.0 A free cross-platform game development kit built on top of SDL 3.0

Loading...
Searching...
No Matches
CRM64Pro::Panelfinal
GUI modules » GUI

Panel Object class. More...

## Detailed Description

Panel Object class.

## Public Member Functions
bool | info (Sint32 iMode=0) override
| Request Panel information.
const string & | getName () const override
| Get the name.
Sint32 | getID () const override
| Get the ID.
Widget & | baseWidget ()
| Get the reference to base Widget for this object.
Sint32 | setTitle (const string &sText, const Position &rPosX=Position(PH_CENTER), const Position &rPosY=Position(PH_CENTER))
| Set the panel title text.
Sint32 | getTitle (string &sText) const
| Get the panel title text.
Sint32 | attachTo (Sint32 idScreen)
| Attach this panel to a screen.
Sint32 | setScreenDesired (Sint32 iScreenDesired)
| Set the desired screen index persisted for this panel.
Sint32 | getScreen () const
| Return the screen id this panel is attached to.
Sint32 | getScreenDesired () const
| Return the desired screen index persisted for this panel.
Sint32 | setTheme (Sint32 idTheme)
| Set the panel theme.
Sint32 | getTheme () const
| Get the panel theme.
Widget * | createWidgetByType (const string &sName, eWidgetType eWT, Sint32 idWidget)
| Create a widget by runtime type.
WidgetLabel * | createLabel (const string &sName, Sint32 idWidget)
| Create a Label widget and return its typed pointer.
WidgetImage * | createImage (const string &sName, Sint32 idWidget)
| Create an Image widget and return its typed pointer.
WidgetFrame * | createFrame (const string &sName, Sint32 idWidget)
| Create a Frame widget and return its typed pointer.
WidgetButton * | createButton (const string &sName, Sint32 idWidget)
| Create a Button widget and return its typed pointer.
WidgetCheckBox * | createCheckBox (const string &sName, Sint32 idWidget)
| Create a CheckBox widget and return its typed pointer.
WidgetProgress * | createProgress (const string &sName, Sint32 idWidget)
| Create a Progress widget and return its typed pointer.
WidgetSlider * | createSlider (const string &sName, Sint32 idWidget, eSliderAxis eAxis=SA_HORIZONTAL)
| Create a Slider widget and return its typed pointer.
WidgetTextEdit * | createTextEdit (const string &sName, Sint32 idWidget)
| Create a TextEdit widget and return its typed pointer.
WidgetList * | createList (const string &sName, Sint32 idWidget)
| Create a List widget and return its typed pointer.
WidgetComboBox * | createComboBox (const string &sName, Sint32 idWidget)
| Create a ComboBox widget and return its typed pointer.
WidgetNumberEdit * | createNumberEdit (const string &sName, Sint32 idWidget)
| Create a NumberEdit widget and return its typed pointer.
eWidgetType | getWidgetType (Sint32 idWidget) const
| Return the type of a widget using its ID.
Widget * | getWidgetByID (Sint32 idWidget)
| Get a pointer to a Widget using its ID.
Sint32 | setWidgetName (Sint32 idWidget, const string &sName)
| Rename an owned widget.
WidgetLabel * | getLabel (Sint32 idWidget)
| Get a typed Label widget using its ID.
WidgetImage * | getImage (Sint32 idWidget)
| Get a typed Image widget using its ID.
WidgetFrame * | getFrame (Sint32 idWidget)
| Get a typed Frame widget using its ID.
WidgetButton * | getButton (Sint32 idWidget)
| Get a typed Button widget using its ID.
WidgetCheckBox * | getCheckBox (Sint32 idWidget)
| Get a typed CheckBox widget using its ID.
WidgetProgress * | getProgress (Sint32 idWidget)
| Get a typed Progress widget using its ID.
WidgetSlider * | getSlider (Sint32 idWidget)
| Get a typed Slider widget using its ID.
WidgetTextEdit * | getTextEdit (Sint32 idWidget)
| Get a typed TextEdit widget using its ID.
WidgetList * | getList (Sint32 idWidget)
| Get a typed List widget using its ID.
WidgetComboBox * | getComboBox (Sint32 idWidget)
| Get a typed ComboBox widget using its ID.
WidgetNumberEdit * | getNumberEdit (Sint32 idWidget)
| Get a typed NumberEdit widget using its ID.
void | getWidgetInfoList (vector< WidgetInfo > &vOut) const
| Fill widget metadata of this panel.
Sint32 | closeWidget (Sint32 idWidget)
| Close and destroy a Widget.
Sint32 | setPanelType (ePanelType ePT, Sint32 iTime=0)
| Set the panel type.
ePanelType | getPanelType () const
| Get the panel type.
Sint32 | getPanelTTL () const
| Get the panel time to live.
Sint32 | setSizeMode (ePanelSizeMode ePSM)
| Set the panel size mode.
ePanelSizeMode | getSizeMode () const
| Get the panel size mode.
Sint32 | setLayout (ePanelLayout ePL)
| Set the panel child layout mode.
ePanelLayout | getLayout () const
| Get the panel child layout mode.
Sint32 | setLayoutSpacing (Sint32 iSpacing)
| Set spacing between child widgets in flow layouts.
Sint32 | getLayoutSpacing () const
| Get spacing between child widgets in flow layouts.
Sint32 | setLayoutPadding (Sint32 iTop, Sint32 iRight, Sint32 iBottom, Sint32 iLeft)
| Set padding inside the panel base widget for flow layouts.
Sint32 | getLayoutPadding (Sint32 *iTop, Sint32 *iRight, Sint32 *iBottom, Sint32 *iLeft) const
| Get padding inside the panel base widget for flow layouts.
Sint32 | setLayoutJustify (eLayoutJustify eJustify)
| Set flow-layout distribution along the main axis.
eLayoutJustify | getLayoutJustify () const
| Get flow-layout distribution along the main axis.
Sint32 | setLayoutAlign (eLayoutAlign eAlign)
| Set flow-layout alignment along the cross axis.
eLayoutAlign | getLayoutAlign () const
| Get flow-layout alignment along the cross axis.
void | invalidateLayout ()
| Mark the flow layout dirty so child positions are recomputed on the next update/render pass.
Sint32 | save (const string &sCDCFile)
| Save the panel and all its widgets to a CDC file.
Sint32 | save (Sint32 idCDC)
| Save the panel and all its widgets to a CDC file.